# Configuration for building U-Boot to be embedded
# directly into the xbl.elf binary.

CONFIG_LOG=y
CONFIG_HEXDUMP=y
CONFIG_CMD_LOG=y
CONFIG_LOG_MAX_LEVEL=9
CONFIG_LOG_DEFAULT_LEVEL=6
CONFIG_LOGLEVEL=7

# Uncomment to enable UART pre-relocation
#CONFIG_DEBUG_UART=y
CONFIG_DEBUG_UART_ANNOUNCE=y
CONFIG_DEBUG_UART_BASE=0x4a90000
CONFIG_DEBUG_UART_MSM_GENI=y
CONFIG_DEBUG_UART_CLOCK=14745600

# Address of xbl_core.elf (which we're replacing)
CONFIG_TEXT_BASE=0x5fc00000
CONFIG_REMAKE_ELF=y

CONFIG_DEFAULT_DEVICE_TREE="qrb4210-rb2"

CONFIG_CLK_QCOM_DEBUG=y
